from django.contrib import admin

from clever404.models import NotFoundURL


class NotFoundURLAdmin(admin.ModelAdmin):
    fields = ('url', 'redirect_to') 
    list_display = ('url', 'redirect_to', 'permanent', 'hits', 'created_timestamp', 'modified_timestamp')
    list_editable = ('redirect_to', 'permanent')
    search_fields = ('url', 'redirect_to')

    def has_add_permission(self, request):
        return False

    def __init__(self, *args, **kwargs):
        super(NotFoundURLAdmin, self).__init__(*args, **kwargs)
        self.list_display_links = (None,)

    
admin.site.register(NotFoundURL, NotFoundURLAdmin)
