'''
Generates appropriate redirect rules for apache, 
based on the currently active redirects in the database
'''

from django.core.management.base import BaseCommand, CommandError

from clever404.models import NotFoundURL


class Command(BaseCommand):
    help = __doc__
    def handle(self, *args, **options):
        for url in NotFoundURL.objects.redirects():
            fields = {
                    'option': 'permanent ' if url.permanent else '',
                    'source': url.url,
                    'dest': url.redirect_to,
                    }
            print 'Redirect {option}{source} {dest}'.format(**fields)
            
