from django.http import HttpResponseRedirect, HttpResponsePermanentRedirect

from clever404 import settings
from clever404.models import NotFoundURL


class Clever404Middleware(object):
    def process_response(self, request, response):
        if response.status_code == 404:
            urlvalue = request.get_full_path().split('?')[0]
            if settings.CLEVER404_APPENDSLASH and not urlvalue.endswith('/'):
                urlvalue += '/'
            url, created = NotFoundURL.objects.get_or_create(url=urlvalue)

            url.hits += 1
            url.save()

            if url.redirect_to:
                if url.permanent:
                    return HttpResponsePermanentRedirect(url.redirect_to)
                    
                return HttpResponseRedirect(url.redirect_to)

        return response
