from django.db import models

from clever404.managers import NotFoundURLManager


class NotFoundURL(models.Model):
    url = models.CharField(max_length=512, unique=True)
    redirect_to = models.CharField(max_length=512, null=True, blank=True)
    permanent = models.BooleanField(default=False)

    created_timestamp = models.DateTimeField(auto_now_add=True)
    modified_timestamp = models.DateTimeField(auto_now=True)

    hits = models.PositiveIntegerField(default=0)
    objects = NotFoundURLManager()

    def save(self, *args, **kwargs):
        return super(NotFoundURL, self).save(*args, **kwargs)

    def __unicode__(self):
        return self.url

    class Meta:
        ordering = ('-hits',)
