from django.test import TestCase
from django.test.client import Client

from clever404.models import NotFoundURL


class SimpleTest(TestCase):
    def test_regular_404(self):
        client = Client()
        response = client.get('/foo')
        self.assertEqual(response.status_code, 404)

    def test_new_redirect(self):
        client = Client()
        response = client.get('/new_404_url')
        self.assertEqual(response.status_code, 404)

        new_urls = NotFoundURL.objects.filter(url='/new_404_url/')
        self.assertTrue(new_urls.count() == 1)
        new_url = new_urls[0]
        new_url.redirect_to = '/admin/'
        new_url.save()

        response = client.get('/new_404_url')
        self.assertEqual(response.status_code, 302)

        self.assertTrue(response.has_header, 'location')
        self.assertEqual(response['location'], 'http://testserver/admin/')
